diff a/src/java.management/share/classes/sun/management/VMManagement.java b/src/java.management/share/classes/sun/management/VMManagement.java
--- a/src/java.management/share/classes/sun/management/VMManagement.java
+++ b/src/java.management/share/classes/sun/management/VMManagement.java
@@ -46,10 +46,16 @@
     public boolean isThreadAllocatedMemorySupported();
     public boolean isThreadAllocatedMemoryEnabled();
     public boolean isGcNotificationSupported();
     public boolean isRemoteDiagnosticCommandsSupported();
 
+    // AOT Subsytem
+    public String  getAOTMode();
+    public boolean isAOTRecording();
+    public long    getAOTRecordingDuration();
+    public boolean endAOTRecording();
+
     // Class Loading Subsystem
     public long    getTotalClassCount();
     public int     getLoadedClassCount();
     public long    getUnloadedClassCount();
     public boolean getVerboseClass();
